Bug 1346233 - 9.0.2 has infinite loop with password protected shares
Summary: 9.0.2 has infinite loop with password protected shares
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: owncloud
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-14 10:35 UTC by James Hogarth
Modified: 2016-07-02 20:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1346234 (view as bug list)
Environment:
Last Closed: 2016-07-02 20:14:50 UTC
Type: Bug


Attachments (Terms of Use)

Description James Hogarth 2016-06-14 10:35:02 UTC
Description of problem:
I have updated my OC installation (postgres+nginx) to 9.0.2 four day ago and most functions are working.

Till now I have found a single trouble: infinite loop after authentication for password protected link shares. Owncloud produces following in logs:

> Jun 13 23:25:24 domain.tld ownCloud[14211]: {webdav} Exception: {"Message":"HTTP\/1.1 401 Username or password was incorrect","Exception":"Sabre\\DAV\\Exception\\NotAuthenticated","Code":0,"Trace":"#0 [internal function]: Sabre\\DAV\\Auth\\Plugin->beforeMethod(Object(Sabre\\HTTP\\Request), Object(Sabre\\HTTP\\Response))\n#1 \/usr\/share\/php\/Sabre\/Event\/EventEmitterTrait.php(105): call_user_func_array(Array, Array)\n#2 \/usr\/share\/php\/Sabre\/DAV\/Server.php(446): Sabre\\Event\\EventEmitter->emit('beforeMethod', Array)\n#3 \/usr\/share\/php\/Sabre\/DAV\/Server.php(248): Sabre\\DAV\\Server->invokeMethod(Object(Sabre\\HTTP\\Request), Object(Sabre\\HTTP\\Response))\n#4 \/usr\/share\/owncloud\/apps\/dav\/appinfo\/v1\/publicwebdav.php(82): Sabre\\DAV\\Server->exec()\n#5 \/usr\/share\/owncloud\/public.php(74): require_once('\/usr\/share\/ownc...')\n#6 {main}","File":"\/usr\/share\/php\/Sabre\/DAV\/Auth\/Plugin.php","Line":188,"User":false}


There are no problems with link shares without password or with shares among registered users

Comment 1 James Hogarth 2016-06-14 10:35:41 UTC
Illya 2016-06-13 19:53:06 EDT
(In reply to Didier from comment #121)
> 
> Illya,
> Have a look at oC issue #23066 ; you need to apply the patches in
> https://github.com/owncloud/core/commit/
> 8666439b68bc405a156fe2679cd74fe932b07698
>  .

Didier,
thank you for the link!

It work's now.

It was also necessary to make changes to these files:

./apps/gallery/middleware/envcheckmiddleware.php L299
./apps/dav/lib/connector/publicauth.php L92

as suggested in this GitHub comment https://github.com/owncloud/core/issues/23066#issuecomment-224046003

Comment 2 James Hogarth 2016-06-14 10:35:54 UTC
Didier 2016-06-14 02:36:11 EDT
To summarize,
In /usr/share/owncloud/ , the following files need to be patched :

./lib/private/share/share.php
./apps/files_sharing/lib/helper.php
./apps/dav/lib/connector/publicauth.php
./apps/gallery/middleware/envcheckmiddleware.php

replacing each occurance of
  $linkItem['id']
with
  (string)$linkItem['id']

Comment 3 James Hogarth 2016-06-14 10:43:28 UTC
Upstream bug: https://github.com/owncloud/core/issues/23066

Comment 4 Fedora Update System 2016-06-15 21:20:35 UTC
owncloud-9.0.2-4.fc24 php-sabre-dav-3.0.9-1.fc24 php-sabre-http-4.2.1-1.fc24 php-symfony-2.8.7-1.fc24 php-symfony-security-acl-2.8.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7d88ae655

Comment 5 Fedora Update System 2016-06-15 21:20:44 UTC
owncloud-9.0.2-4.fc24 php-sabre-dav-3.0.9-1.fc24 php-sabre-http-4.2.1-1.fc24 php-symfony-2.8.7-1.fc24 php-symfony-security-acl-2.8.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7d88ae655

Comment 6 Fedora Update System 2016-06-15 21:45:41 UTC
owncloud-9.0.2-4.fc23 php-mcnetic-zipstreamer-1.0-1.fc23 php-sabre-dav-3.0.9-1.fc23 php-sabre-http-4.2.1-1.fc23 php-symfony-2.8.7-1.fc23 php-symfony-security-acl-2.8.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7f81d901f

Comment 7 Fedora Update System 2016-06-15 21:45:47 UTC
owncloud-9.0.2-4.fc23 php-mcnetic-zipstreamer-1.0-1.fc23 php-sabre-dav-3.0.9-1.fc23 php-sabre-http-4.2.1-1.fc23 php-symfony-2.8.7-1.fc23 php-symfony-security-acl-2.8.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7f81d901f

Comment 8 Fedora Update System 2016-06-16 15:55:49 UTC
owncloud-9.0.2-4.fc24, php-sabre-dav-3.0.9-1.fc24, php-sabre-http-4.2.1-1.fc24, php-symfony-2.8.7-1.fc24, php-symfony-security-acl-2.8.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7d88ae655

Comment 9 Fedora Update System 2016-06-17 18:55:35 UTC
owncloud-9.0.2-4.fc23, php-mcnetic-zipstreamer-1.0-1.fc23, php-sabre-dav-3.0.9-1.fc23, php-sabre-http-4.2.1-1.fc23, php-symfony-2.8.7-1.fc23, php-symfony-security-acl-2.8.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7f81d901f

Comment 10 Fedora Update System 2016-06-22 23:55:13 UTC
owncloud-9.0.2-4.fc24, php-sabre-dav-3.0.9-1.fc24, php-sabre-http-4.2.1-1.fc24, php-symfony-2.8.7-1.fc24, php-symfony-security-acl-2.8.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-07-02 19:32:27 UTC
owncloud-9.0.2-4.fc23, php-mcnetic-zipstreamer-1.0-1.fc23, php-sabre-dav-3.0.9-1.fc23, php-sabre-http-4.2.1-1.fc23, php-symfony-2.8.7-1.fc23, php-symfony-security-acl-2.8.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.